summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--ChangeLog6
-rw-r--r--Makefile.in2
-rwxr-xr-xconfigure190
-rw-r--r--configure.in5
-rw-r--r--linux-nfs/Makefile.in2
-rw-r--r--support/Makefile.in2
-rw-r--r--support/export/Makefile.in2
-rw-r--r--support/include/Makefile.in2
-rw-r--r--support/include/nfs/Makefile.in2
-rw-r--r--support/include/rpcsvc/Makefile.in2
-rw-r--r--support/include/sys/Makefile.in2
-rw-r--r--support/include/sys/fs/Makefile.in2
-rw-r--r--support/misc/Makefile.in2
-rw-r--r--support/nfs/Makefile.in2
-rw-r--r--tools/Makefile.in2
-rw-r--r--tools/getiversion/Makefile.in2
-rw-r--r--tools/getkversion/Makefile.in2
-rw-r--r--tools/locktest/Makefile.in2
-rw-r--r--tools/nlmtest/Makefile.in2
-rw-r--r--tools/rpcdebug/Makefile.in2
-rw-r--r--tools/rpcgen/Makefile.in2
-rw-r--r--utils/Makefile.in2
-rw-r--r--utils/exportfs/Makefile.in2
-rw-r--r--utils/gssd/Makefile.in2
-rw-r--r--utils/idmapd/Makefile.in2
-rw-r--r--utils/lockd/Makefile.in2
-rw-r--r--utils/mountd/Makefile.in2
-rw-r--r--utils/nfsd/Makefile.in2
-rw-r--r--utils/nfsstat/Makefile.in2
-rw-r--r--utils/nhfsstone/Makefile.in2
-rw-r--r--utils/rquotad/Makefile.in2
-rw-r--r--utils/showmount/Makefile.in2
-rw-r--r--utils/statd/Makefile.in2
33 files changed, 225 insertions, 36 deletions
diff --git a/ChangeLog b/ChangeLog
index e7c9f58..9151183 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,7 +1,11 @@
2006-04-10 "Kevin Coffman" <kwc@citi.umich.edu>
+ Check for sufficient version of librpcsecgss and libgssapi
+ in configure.in
+
+2006-04-10 "Kevin Coffman" <kwc@citi.umich.edu>
Update aclocal/tcp-wrappers.m4 to define HAVE_LIBWRAP and
HAVE_TCP_WRAPPERS as appropriate.
-
+
2006-04-10 NeilBrown <neilb@suse.de>
Add checking for innetgr back to configure.in
diff --git a/Makefile.in b/Makefile.in
index a0b1cdd..449a278 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -118,6 +118,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/configure b/configure
index 74f8955..81bd40e 100755
--- a/configure
+++ b/configure
@@ -467,7 +467,7 @@ ac_includes_default="\
# include <unistd.h>
#endif"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar RELEASE statedir statduser enable_nfsv3 IDMAPD enable_nfsv4 CONFIG_NFSV4_TRUE CONFIG_NFSV4_FALSE GSSD SVCGSSD enable_gss CONFIG_GSS_TRUE CONFIG_GSS_FALSE kprefix secure_statd CONFIG_RQUOTAD_TRUE CONFIG_RQUOTAD_FALSE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LIBWRAP HAVE_LIBWRAP HAVE_TCP_WRAPPER CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CPP LN_S EGREP ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL CC_FOR_BUILD LD ac_ct_LD PKG_CONFIG ac_pt_PKG_CONFIG RPCSECGSS_CFLAGS RPCSECGSS_LIBS LIBSOCKET LIBNSL LIBCRYPT LIBBSD KRBDIR KRBLIBS KRBCFLAGS K5VERS ALLOCA LIBOBJS CFLAGS_FOR_BUILD CXXFLAGS_FOR_BUILD CPPFLAGS_FOR_BUILD LDFLAGS_FOR_BUILD AM_CPPFLAGS AM_CFLAGS ACLOCAL_AMFLAGS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar RELEASE statedir statduser enable_nfsv3 IDMAPD enable_nfsv4 CONFIG_NFSV4_TRUE CONFIG_NFSV4_FALSE GSSD SVCGSSD enable_gss CONFIG_GSS_TRUE CONFIG_GSS_FALSE kprefix secure_statd CONFIG_RQUOTAD_TRUE CONFIG_RQUOTAD_FALSE CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE LIBWRAP HAVE_LIBWRAP HAVE_TCP_WRAPPER CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CPP LN_S EGREP ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL CC_FOR_BUILD LD ac_ct_LD PKG_CONFIG ac_pt_PKG_CONFIG RPCSECGSS_CFLAGS RPCSECGSS_LIBS GSSAPI_CFLAGS GSSAPI_LIBS LIBSOCKET LIBNSL LIBCRYPT LIBBSD KRBDIR KRBLIBS KRBCFLAGS K5VERS ALLOCA LIBOBJS CFLAGS_FOR_BUILD CXXFLAGS_FOR_BUILD CPPFLAGS_FOR_BUILD LDFLAGS_FOR_BUILD AM_CPPFLAGS AM_CFLAGS ACLOCAL_AMFLAGS LTLIBOBJS'
ac_subst_files=''
# Initialize some variables set by options.
@@ -960,6 +960,14 @@ ac_env_RPCSECGSS_LIBS_set=${RPCSECGSS_LIBS+set}
ac_env_RPCSECGSS_LIBS_value=$RPCSECGSS_LIBS
ac_cv_env_RPCSECGSS_LIBS_set=${RPCSECGSS_LIBS+set}
ac_cv_env_RPCSECGSS_LIBS_value=$RPCSECGSS_LIBS
+ac_env_GSSAPI_CFLAGS_set=${GSSAPI_CFLAGS+set}
+ac_env_GSSAPI_CFLAGS_value=$GSSAPI_CFLAGS
+ac_cv_env_GSSAPI_CFLAGS_set=${GSSAPI_CFLAGS+set}
+ac_cv_env_GSSAPI_CFLAGS_value=$GSSAPI_CFLAGS
+ac_env_GSSAPI_LIBS_set=${GSSAPI_LIBS+set}
+ac_env_GSSAPI_LIBS_value=$GSSAPI_LIBS
+ac_cv_env_GSSAPI_LIBS_set=${GSSAPI_LIBS+set}
+ac_cv_env_GSSAPI_LIBS_value=$GSSAPI_LIBS
#
# Report the --help message.
@@ -1091,6 +1099,9 @@ Some influential environment variables:
C compiler flags for RPCSECGSS, overriding pkg-config
RPCSECGSS_LIBS
linker flags for RPCSECGSS, overriding pkg-config
+ GSSAPI_CFLAGS
+ C compiler flags for GSSAPI, overriding pkg-config
+ GSSAPI_LIBS linker flags for GSSAPI, overriding pkg-config
Use these variables to override the choices made by `configure' or to help
it to find libraries and programs with nonstandard names/locations.
@@ -5630,7 +5641,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
- echo '#line 5633 "configure"' > conftest.$ac_ext
+ echo '#line 5644 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@@ -6527,7 +6538,7 @@ fi
# Provide some information about the compiler.
-echo "$as_me:6530:" \
+echo "$as_me:6541:" \
"checking for Fortran 77 compiler version" >&5
ac_compiler=`set X $ac_compile; echo $2`
{ (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
@@ -7588,11 +7599,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7591: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7602: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7595: \$? = $ac_status" >&5
+ echo "$as_me:7606: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7856,11 +7867,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7859: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7870: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:7863: \$? = $ac_status" >&5
+ echo "$as_me:7874: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -7960,11 +7971,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:7963: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:7974: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:7967: \$? = $ac_status" >&5
+ echo "$as_me:7978: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -10285,7 +10296,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 10288 "configure"
+#line 10299 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -10385,7 +10396,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
-#line 10388 "configure"
+#line 10399 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@@ -12723,11 +12734,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12726: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12737: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:12730: \$? = $ac_status" >&5
+ echo "$as_me:12741: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -12827,11 +12838,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:12830: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:12841: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:12834: \$? = $ac_status" >&5
+ echo "$as_me:12845: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -14388,11 +14399,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14391: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14402: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:14395: \$? = $ac_status" >&5
+ echo "$as_me:14406: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -14492,11 +14503,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:14495: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:14506: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:14499: \$? = $ac_status" >&5
+ echo "$as_me:14510: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -16682,11 +16693,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16685: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16696: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16689: \$? = $ac_status" >&5
+ echo "$as_me:16700: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -16950,11 +16961,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:16953: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:16964: $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
- echo "$as_me:16957: \$? = $ac_status" >&5
+ echo "$as_me:16968: \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@@ -17054,11 +17065,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
- (eval echo "\"\$as_me:17057: $lt_compile\"" >&5)
+ (eval echo "\"\$as_me:17068: $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
- echo "$as_me:17061: \$? = $ac_status" >&5
+ echo "$as_me:17072: \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@@ -20923,12 +20934,12 @@ if test -n "$PKG_CONFIG"; then
pkg_cv_RPCSECGSS_CFLAGS="$RPCSECGSS_CFLAGS"
else
if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"librpcsecgss\"") >&5
- ($PKG_CONFIG --exists --print-errors "librpcsecgss") 2>&5
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"librpcsecgss >= 0.10\"") >&5
+ ($PKG_CONFIG --exists --print-errors "librpcsecgss >= 0.10") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_RPCSECGSS_CFLAGS=`$PKG_CONFIG --cflags "librpcsecgss" 2>/dev/null`
+ pkg_cv_RPCSECGSS_CFLAGS=`$PKG_CONFIG --cflags "librpcsecgss >= 0.10" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -20941,12 +20952,12 @@ if test -n "$PKG_CONFIG"; then
pkg_cv_RPCSECGSS_LIBS="$RPCSECGSS_LIBS"
else
if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"librpcsecgss\"") >&5
- ($PKG_CONFIG --exists --print-errors "librpcsecgss") 2>&5
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"librpcsecgss >= 0.10\"") >&5
+ ($PKG_CONFIG --exists --print-errors "librpcsecgss >= 0.10") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_RPCSECGSS_LIBS=`$PKG_CONFIG --libs "librpcsecgss" 2>/dev/null`
+ pkg_cv_RPCSECGSS_LIBS=`$PKG_CONFIG --libs "librpcsecgss >= 0.10" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -20965,9 +20976,9 @@ else
_pkg_short_errors_supported=no
fi
if test $_pkg_short_errors_supported = yes; then
- RPCSECGSS_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "librpcsecgss"`
+ RPCSECGSS_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "librpcsecgss >= 0.10"`
else
- RPCSECGSS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "librpcsecgss"`
+ RPCSECGSS_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "librpcsecgss >= 0.10"`
fi
# Put the nasty error message in config.log where it belongs
echo "$RPCSECGSS_PKG_ERRORS" >&5
@@ -20998,6 +21009,117 @@ else
echo "${ECHO_T}yes" >&6
:
fi
+
+pkg_failed=no
+echo "$as_me:$LINENO: checking for GSSAPI" >&5
+echo $ECHO_N "checking for GSSAPI... $ECHO_C" >&6
+
+if test -n "$PKG_CONFIG"; then
+ if test -n "$GSSAPI_CFLAGS"; then
+ pkg_cv_GSSAPI_CFLAGS="$GSSAPI_CFLAGS"
+ else
+ if test -n "$PKG_CONFIG" && \
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgssapi >= 0.9\"") >&5
+ ($PKG_CONFIG --exists --print-errors "libgssapi >= 0.9") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; then
+ pkg_cv_GSSAPI_CFLAGS=`$PKG_CONFIG --cflags "libgssapi >= 0.9" 2>/dev/null`
+else
+ pkg_failed=yes
+fi
+ fi
+else
+ pkg_failed=untried
+fi
+if test -n "$PKG_CONFIG"; then
+ if test -n "$GSSAPI_LIBS"; then
+ pkg_cv_GSSAPI_LIBS="$GSSAPI_LIBS"
+ else
+ if test -n "$PKG_CONFIG" && \
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"libgssapi >= 0.9\"") >&5
+ ($PKG_CONFIG --exists --print-errors "libgssapi >= 0.9") 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; then
+ pkg_cv_GSSAPI_LIBS=`$PKG_CONFIG --libs "libgssapi >= 0.9" 2>/dev/null`
+else
+ pkg_failed=yes
+fi
+ fi
+else
+ pkg_failed=untried
+fi
+
+
+
+if test $pkg_failed = yes; then
+
+if $PKG_CONFIG --atleast-pkgconfig-version 0.20; then
+ _pkg_short_errors_supported=yes
+else
+ _pkg_short_errors_supported=no
+fi
+ if test $_pkg_short_errors_supported = yes; then
+ GSSAPI_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libgssapi >= 0.9"`
+ else
+ GSSAPI_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libgssapi >= 0.9"`
+ fi
+ # Put the nasty error message in config.log where it belongs
+ echo "$GSSAPI_PKG_ERRORS" >&5
+
+ { { echo "$as_me:$LINENO: error: Package requirements (libgssapi >= 0.9) were not met:
+
+$GSSAPI_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables GSSAPI_CFLAGS
+and GSSAPI_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&5
+echo "$as_me: error: Package requirements (libgssapi >= 0.9) were not met:
+
+$GSSAPI_PKG_ERRORS
+
+Consider adjusting the PKG_CONFIG_PATH environment variable if you
+installed software in a non-standard prefix.
+
+Alternatively, you may set the environment variables GSSAPI_CFLAGS
+and GSSAPI_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+" >&2;}
+ { (exit 1); exit 1; }; }
+elif test $pkg_failed = untried; then
+ { { echo "$as_me:$LINENO: error: The pkg-config script could not be found or is too old. Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables GSSAPI_CFLAGS
+and GSSAPI_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+See \`config.log' for more details." >&5
+echo "$as_me: error: The pkg-config script could not be found or is too old. Make sure it
+is in your PATH or set the PKG_CONFIG environment variable to the full
+path to pkg-config.
+
+Alternatively, you may set the environment variables GSSAPI_CFLAGS
+and GSSAPI_LIBS to avoid the need to call pkg-config.
+See the pkg-config man page for more details.
+
+To get pkg-config, see <http://www.freedesktop.org/software/pkgconfig>.
+See \`config.log' for more details." >&2;}
+ { (exit 1); exit 1; }; }
+else
+ GSSAPI_CFLAGS=$pkg_cv_GSSAPI_CFLAGS
+ GSSAPI_LIBS=$pkg_cv_GSSAPI_LIBS
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+ :
+fi
fi
fi
@@ -28348,6 +28470,8 @@ s,@PKG_CONFIG@,$PKG_CONFIG,;t t
s,@ac_pt_PKG_CONFIG@,$ac_pt_PKG_CONFIG,;t t
s,@RPCSECGSS_CFLAGS@,$RPCSECGSS_CFLAGS,;t t
s,@RPCSECGSS_LIBS@,$RPCSECGSS_LIBS,;t t
+s,@GSSAPI_CFLAGS@,$GSSAPI_CFLAGS,;t t
+s,@GSSAPI_LIBS@,$GSSAPI_LIBS,;t t
s,@LIBSOCKET@,$LIBSOCKET,;t t
s,@LIBNSL@,$LIBNSL,;t t
s,@LIBCRYPT@,$LIBCRYPT,;t t
diff --git a/configure.in b/configure.in
index 4d4d2f4..f4ef796 100644
--- a/configure.in
+++ b/configure.in
@@ -149,14 +149,15 @@ if test "$enable_nfsv4" = yes; then
AC_CHECK_HEADERS(event.h, ,[AC_MSG_ERROR(libevent needed for nfsv4 support)])
AC_CHECK_HEADERS(nfsidmap.h, ,[AC_MSG_ERROR(libnfsidmap needed for nfsv4 support)])
dnl librpcsecgss already has a dependency on libgssapi,
- dnl so we don't need to do an explicit check for libgssapi here
+ dnl but we need to make sure we get the right version
if test "$enable_gss" = yes; then
- PKG_CHECK_MODULES(RPCSECGSS, librpcsecgss, [],
+ PKG_CHECK_MODULES([RPCSECGSS], [librpcsecgss >= 0.10], [],
[AC_MSG_ERROR([Unable to locate information required to use librpcsecgss.
If you have pkgconfig installed, you might try setting environment
variable PKG_CONFIG_PATH to /usr/local/lib/pkgconfig])
]
)
+ PKG_CHECK_MODULES([GSSAPI], [libgssapi >= 0.9])
fi
fi
diff --git a/linux-nfs/Makefile.in b/linux-nfs/Makefile.in
index fee1d23..4f9dbc9 100644
--- a/linux-nfs/Makefile.in
+++ b/linux-nfs/Makefile.in
@@ -95,6 +95,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/support/Makefile.in b/support/Makefile.in
index 52c470c..f25a88c 100644
--- a/support/Makefile.in
+++ b/support/Makefile.in
@@ -103,6 +103,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/support/export/Makefile.in b/support/export/Makefile.in
index c63de99..1515c74 100644
--- a/support/export/Makefile.in
+++ b/support/export/Makefile.in
@@ -119,6 +119,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/support/include/Makefile.in b/support/include/Makefile.in
index bfb94c1..d9350d5 100644
--- a/support/include/Makefile.in
+++ b/support/include/Makefile.in
@@ -106,6 +106,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/support/include/nfs/Makefile.in b/support/include/nfs/Makefile.in
index 6790f1e..3bded4e 100644
--- a/support/include/nfs/Makefile.in
+++ b/support/include/nfs/Makefile.in
@@ -99,6 +99,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/support/include/rpcsvc/Makefile.in b/support/include/rpcsvc/Makefile.in
index 79f4f1f..30103d9 100644
--- a/support/include/rpcsvc/Makefile.in
+++ b/support/include/rpcsvc/Makefile.in
@@ -99,6 +99,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/support/include/sys/Makefile.in b/support/include/sys/Makefile.in
index fcfef2c..2964974 100644
--- a/support/include/sys/Makefile.in
+++ b/support/include/sys/Makefile.in
@@ -103,6 +103,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/support/include/sys/fs/Makefile.in b/support/include/sys/fs/Makefile.in
index 48f5867..a1e7a19 100644
--- a/support/include/sys/fs/Makefile.in
+++ b/support/include/sys/fs/Makefile.in
@@ -99,6 +99,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/support/misc/Makefile.in b/support/misc/Makefile.in
index 51f200f..7f1eca3 100644
--- a/support/misc/Makefile.in
+++ b/support/misc/Makefile.in
@@ -115,6 +115,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/support/nfs/Makefile.in b/support/nfs/Makefile.in
index c14f0b9..26a85e7 100644
--- a/support/nfs/Makefile.in
+++ b/support/nfs/Makefile.in
@@ -119,6 +119,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/tools/Makefile.in b/tools/Makefile.in
index bd1c715..b5596a6 100644
--- a/tools/Makefile.in
+++ b/tools/Makefile.in
@@ -103,6 +103,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/tools/getiversion/Makefile.in b/tools/getiversion/Makefile.in
index 71112dd..4bc6d48 100644
--- a/tools/getiversion/Makefile.in
+++ b/tools/getiversion/Makefile.in
@@ -113,6 +113,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/tools/getkversion/Makefile.in b/tools/getkversion/Makefile.in
index b79a9f2..8fb0f30 100644
--- a/tools/getkversion/Makefile.in
+++ b/tools/getkversion/Makefile.in
@@ -113,6 +113,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/tools/locktest/Makefile.in b/tools/locktest/Makefile.in
index ed2334f..a7fbad6 100644
--- a/tools/locktest/Makefile.in
+++ b/tools/locktest/Makefile.in
@@ -113,6 +113,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/tools/nlmtest/Makefile.in b/tools/nlmtest/Makefile.in
index 0a453cd..fb3ea11 100644
--- a/tools/nlmtest/Makefile.in
+++ b/tools/nlmtest/Makefile.in
@@ -94,6 +94,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/tools/rpcdebug/Makefile.in b/tools/rpcdebug/Makefile.in
index 60d659c..63dd31a 100644
--- a/tools/rpcdebug/Makefile.in
+++ b/tools/rpcdebug/Makefile.in
@@ -113,6 +113,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/tools/rpcgen/Makefile.in b/tools/rpcgen/Makefile.in
index 1c0e17c..89039b4 100644
--- a/tools/rpcgen/Makefile.in
+++ b/tools/rpcgen/Makefile.in
@@ -118,6 +118,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/utils/Makefile.in b/utils/Makefile.in
index cd852c9..263b074 100644
--- a/utils/Makefile.in
+++ b/utils/Makefile.in
@@ -107,6 +107,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/utils/exportfs/Makefile.in b/utils/exportfs/Makefile.in
index 5c8e9c3..99193d5 100644
--- a/utils/exportfs/Makefile.in
+++ b/utils/exportfs/Makefile.in
@@ -124,6 +124,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/utils/gssd/Makefile.in b/utils/gssd/Makefile.in
index e59c605..8e804cc 100644
--- a/utils/gssd/Makefile.in
+++ b/utils/gssd/Makefile.in
@@ -147,6 +147,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/utils/idmapd/Makefile.in b/utils/idmapd/Makefile.in
index 7474caf..a5f8b1b 100644
--- a/utils/idmapd/Makefile.in
+++ b/utils/idmapd/Makefile.in
@@ -121,6 +121,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/utils/lockd/Makefile.in b/utils/lockd/Makefile.in
index 439415d..cded52f 100644
--- a/utils/lockd/Makefile.in
+++ b/utils/lockd/Makefile.in
@@ -119,6 +119,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/utils/mountd/Makefile.in b/utils/mountd/Makefile.in
index df05ca3..1fe0471 100644
--- a/utils/mountd/Makefile.in
+++ b/utils/mountd/Makefile.in
@@ -125,6 +125,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/utils/nfsd/Makefile.in b/utils/nfsd/Makefile.in
index 99dcd05..d5d2b70 100644
--- a/utils/nfsd/Makefile.in
+++ b/utils/nfsd/Makefile.in
@@ -119,6 +119,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/utils/nfsstat/Makefile.in b/utils/nfsstat/Makefile.in
index ce1d7b2..2304ba9 100644
--- a/utils/nfsstat/Makefile.in
+++ b/utils/nfsstat/Makefile.in
@@ -119,6 +119,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/utils/nhfsstone/Makefile.in b/utils/nhfsstone/Makefile.in
index 96c5766..9d3b899 100644
--- a/utils/nhfsstone/Makefile.in
+++ b/utils/nhfsstone/Makefile.in
@@ -124,6 +124,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/utils/rquotad/Makefile.in b/utils/rquotad/Makefile.in
index 55c1370..ac3fe50 100644
--- a/utils/rquotad/Makefile.in
+++ b/utils/rquotad/Makefile.in
@@ -124,6 +124,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/utils/showmount/Makefile.in b/utils/showmount/Makefile.in
index ed64315..b20a51a 100644
--- a/utils/showmount/Makefile.in
+++ b/utils/showmount/Makefile.in
@@ -119,6 +119,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@
diff --git a/utils/statd/Makefile.in b/utils/statd/Makefile.in
index 352cd5f..c674139 100644
--- a/utils/statd/Makefile.in
+++ b/utils/statd/Makefile.in
@@ -125,6 +125,8 @@ EGREP = @EGREP@
EXEEXT = @EXEEXT@
F77 = @F77@
FFLAGS = @FFLAGS@
+GSSAPI_CFLAGS = @GSSAPI_CFLAGS@
+GSSAPI_LIBS = @GSSAPI_LIBS@
GSSD = @GSSD@
HAVE_LIBWRAP = @HAVE_LIBWRAP@
HAVE_TCP_WRAPPER = @HAVE_TCP_WRAPPER@